package fr.atlantique.imt.inf211.jobmngt.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.servlet.ModelAndView;

import fr.atlantique.imt.inf211.jobmngt.service.QualificationLevelService;

@Controller
public class QualificationLevelController {

    @Autowired
    private QualificationLevelService qualificationLevelService;

    /**
     * Affiche la liste des niveaux de qualification.
     * @return ModelAndView avec la liste des niveaux
     */
    @GetMapping("/qualificationLevels")
    public ModelAndView listOfQualificationLevels() {
        ModelAndView modelAndView = new ModelAndView("qualificationLevel/qualificationLevelList");

        try {
            var qualificationLevels = qualificationLevelService.listOfQualificationLevels();
            modelAndView.addObject("qualificationlevellist", qualificationLevels);

            System.out.println("📋 Chargement des niveaux de qualification : " + qualificationLevels.size() + " trouvés.");
        } catch (Exception e) {
            System.err.println("❌ Erreur lors du chargement des niveaux de qualification : " + e.getMessage());
            modelAndView.addObject("qualificationlevellist", "Erreur de chargement");
        }

        return modelAndView;
    }
}
