package fr.atlantique.imt.inf211.jobmngt.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.servlet.ModelAndView;

import fr.atlantique.imt.inf211.jobmngt.service.SectorService;

@Controller
public class SectorController {

    @Autowired
    private SectorService sectorService;

    /**
     * Affiche la liste des secteurs.
     * @return ModelAndView contenant la liste des secteurs.
     */
    @GetMapping("/sectors")
    public ModelAndView listOfSectors() {
        ModelAndView modelAndView = new ModelAndView("sector/sectorList");

        try {
            var sectors = sectorService.listOfSectors();
            modelAndView.addObject("sectorlist", sectors);
            System.out.println("📌 Nombre de secteurs récupérés : " + sectors.size());
        } catch (Exception e) {
            System.err.println("❌ Erreur lors du chargement des secteurs : " + e.getMessage());
            modelAndView.addObject("sectorlist", "Erreur de chargement");
        }

        return modelAndView;
    }
}
