package fr.atlantique.imt.inf211.jobmngt.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import fr.atlantique.imt.inf211.jobmngt.dao.ApplicationDao;
import fr.atlantique.imt.inf211.jobmngt.entity.Application;

@Service
public class ApplicationServiceImpl implements ApplicationService {

    @Autowired
    private ApplicationDao applicationDao;

    @Override
    public void saveApplication(Application application) {
        applicationDao.persist(application);
    }

    @Override
    public void removeApplication(Application application) {
        applicationDao.remove(application);
    }

    @Override
    public Application getApplicationById(int id) {
        return applicationDao.findById(id);
    }

    @Override
    public List<Application> listOfApplications(String sort, String order) {
        return applicationDao.findAll(sort, order);
    }

    @Override
    public long countApplications() {
        return applicationDao.count();
    }
}
